function [y,p,i,flag] = modsim(x,ee)

b  = .98  ;
k  = x(1) ;
ay = x(2) ;
ap = x(3) ;
rp = x(4) ;
rn = x(5) ;
ri = x(6) ;
sp = x(7) ;
sn = x(8) ;
si = x(9) ;

nendo = 3 ;
nexo  = 3 ;

F = [ 0 b 0 ; 1 1 0; 0 0 0 ];
G = [ k -1 0 ; -1 0 -1 ; ay ap -1];
H = zeros(3);
L = zeros(3);
M = eye(3);
N = diag([rp rn ri]);

model.F = F ;
model.G = G ;
model.H = H ;
model.L = L ;
model.M = M ;
model.N = N ;
model.SIGMAA = diag([sp sn si]);
model.nEndoVar = nendo ;
model.nExoVar = nexo ;

[P,Q,flag] = solveLinearDynamicModel(model);


model.P = P ;
model.Q = Q ;

T = size(ee,2);
% sig = [.01 .01 .01]';
sig = [sp sn si]';
e  = sig(:,ones(1,T)).*ee;
[Y,z] = simulateLinearDynamicModel(model,T,e);
Y = Y';
y = Y(:,1);
p = Y(:,2);
i = Y(:,3);