function res = funobjVAR(x,ee,mod_aux_target,nlag,T,burn,nsim,ponderation)
	
mod_aux_sim = [];

for ii=1:nsim
  	[y_sim, p_sim, i_sim] = modsim(x,ee(:,1 + (nsim-1)*(burn+T):nsim*(burn+T)));                   
	y_sim = y_sim(burn+1:burn+T,:);
	p_sim = p_sim(burn+1:burn+T,:);
	i_sim = i_sim(burn+1:burn+T,:);
	Y = [y_sim p_sim i_sim];
    [B,S] = estimVAR(Y,nlag); 
    mod_aux_sim = [mod_aux_sim [vec(B);vech(S)]];        	
end          
w = mean(mod_aux_sim,2) - mod_aux_target ;
res = w'*ponderation*w ;         
